Swiftpack.co - Package - vapor-community/ctls

CTLS for Swift

Swift Slack Status

Note: This package is for Vapor 2. If you are on the newer Vapor 3, then please check out copenssl.

This module maps #include<openssl/*> to import CTLS.

📖 Documentation

Visit the Vapor web framework's documentation for instructions on how to use this package.

💧 Community

Join the welcoming community of fellow Vapor developers in slack.

🔧 Compatibility

This library has been tested on macOS and Ubuntu.

Github

link
Stars: 6
Help us keep the lights on

Dependencies

Releases

1.1.3 - Feb 12, 2018

Fixed:

  • Add providers list to SPM manifest.

Milestone

1.1.2 - Aug 30, 2017

Fixed:

  • Correctly declare target in Swift 4 package manifest.

1.1.1 - Aug 7, 2017

Fixed:

  • Works w/ High Sierra.

Milestone

1.1.0 - Aug 7, 2017

New:

  • Swift 4 support –Aug 1 snapshot

Milestone

1.0.0 - May 17, 2017

🎉

CTLS is a new package that allows us to link to a system's OpenSSL or LibreSSL, this creates fewer conflicts with other packages depending on SSL, and reduces build times.